Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# iosfwd.h File Reference

`#include "ace/config-all.h"`

Include dependency graph for iosfwd.h:

This graph shows which files directly or indirectly include this file:

## Detailed Description

Id
  iosfwd.h,v 1.21 2006/01/25 19:48:59 jwillemsen Exp

Author:
  Irfan Pyarali

This file contains the portability ugliness for the Standard C++ Library. As implementations of the "standard" emerge, this file will need to be updated.

This files deals with forward declaration for the stream classes. Remember that since the new Standard C++ Library code for streams uses templates, simple forward declaration will not work.